domains
	persona = symbol

predicates
	vecaki ( persona, persona )
	virietis ( persona )
	sieviete ( persona )
	mate ( persona, persona)
	tevs ( persona, persona)
	vecmate ( persona, persona)
	vectevs ( persona, persona)
	bralis  ( persona, persona)
	masa    ( persona, persona)
	senchi  ( persona, persona)
	senchi_s( persona, persona)
	senchi_v( persona, persona)
	golubaja_luna( persona, persona)
	dve_podrugi( persona, persona )
	labveligs_berns( persona)
	cikli( persona, persona )
	sievas_mate( persona)
clauses
	vecaki ( adams, janis ).
	vecaki ( adams, ilze ).
	vecaki ( janis, peteris ).
	vecaki ( janis, ieva).
	vecaki ( ilze, ieva ).
	vecaki ( peteris, nikolajs ).
	vecaki ( peteris, sergejs ).
	vecaki ( peteris, olga ).
	vecaki ( ieva, nikolajs ).
	vecaki ( ieva, sergejs ).
	vecaki ( ieva, olga ).
	vecaki ( nikolajs, peteris).
	virietis ( adams ).
	virietis ( janis ). 
	virietis ( peteris ).
	virietis ( nikolajs ).
	virietis ( sergejs ).
	
	sieviete ( ilze ).
	sieviete ( olga ).
	sieviete ( ieva ).
	mate(X, Y) :- vecaki (X, Y), sieviete(X).
	tevs(X, Y) :- vecaki (X, Y), virietis(X).
	
	vecmate( X, Z) :- mate (X, Y), vecaki(Y, Z).
	vectevs( X, Z) :- vecaki(X, Y), tevs(Y, Z).
	
	bralis (X, Y)  :- vecaki(Z, X), vecaki(Z, Y), 
	X<>Y, virietis(X).
	masa (X, Y) :- vecaki(Z, X), vecaki(Z, Y),
	X<>Y, sieviete(X).
	
	senchi( X, Y) :- vecaki(X, Y).
	senchi( X, Z) :- vecaki( X, Y), senchi( Y, Z).
	
	senchi_s(X, Y) :- mate(X, Y).
	senchi_s(X, Z) :- mate(X, Y), senchi_s(Y, Z).

	senchi_v(X, Y) :- tevs(X, Y).
	senchi_v(X, Z) :- tevs(X, Y), senchi_v(Y, Z).
	
	labveligs_berns(X) :- tevs(Y, X), mate (Z, X), write("Vecaki: ", Y," un ",Z).
	
	golubaja_luna(X, Y) :- tevs(X, Z), tevs(Y, Z), X<>Y.
	dve_podrugi(X, Y) :- mate(X, Z), mate(Y, Z), X<>Y.
	cikli(X, Y) :- vecaki (X,Y), vecaki (Y,X).
	
	sievas_mate(X) :- tevs(X, B), mate(Z, B), 
	mate(Y, Z), write(X, " sievas mate ir ", Y).