domains
 list = integer*

predicates
 summa( list, integer )
 count( list, integer )
 print_right( list )
 print_left( list )
 print_id( list, integer, integer)
 show_id( list, integer, integer) 
 sum_pozitiv( list, integer)
 sum_negativ( list, integer)
goal
 
 sum_pozitiv( [ 2, 3, -5, -4 ], 0 ),
 sum_negativ( [ 2, 3, -5, -4 ], 0 ).

clauses
 summa( [], X) :- write(X).
 summa( [H|L], X) :- Y = X + H, summa(L, Y).
 count( [], X ) :- write(X).
 count( [H|L], X) :- Y = X + 1, count(L, Y).
 print_right( [] ).
 print_right( [H|L] ) :- write(H, " "), print_right( L ).
 print_left( [] ).
 print_left( [H|L] ) :- print_left(L), 
        write (H, " ").

 
 print_id( [H|T], Ind, Con) :- Ind <> Con, !, Con1 = Con + 1,
      print_id( T, Ind, Con1 ).
 print_id( [H|T], _, _) :- write( H).


 show_id ( [], _, _).
 show_id ( [H|T], X, Pos):- H = X, Pos1 = Pos + 1, write( Pos, " "), show_id ( T, X, Pos1).
 show_id ( [H|T], X, Pos):- Pos1 = Pos + 1, show_id ( T, X, Pos1).        
 
 
 sum_pozitiv ( [], X):- write ( "Summa -> ", X, "\10\13").
 sum_pozitiv ( [H|T], Sum):- H >0, Sum1 = Sum + H, 
     sum_pozitiv (T, Sum1).
 sum_pozitiv ( [H|T], Sum):- sum_pozitiv ( T, Sum).
 
 sum_negativ ( [], X):- write ( "Summa(-) -> ", X, "\10\13").
 sum_negativ ( [H|T], Sum):- H < 0, Sum1 = Sum + H,
     sum_negativ (T, Sum1).
 sum_negativ ( [H|T], Sum) :- sum_negativ( T, Sum).
 